#!/bin/sh
cd SOURCES

buildID=$(grep buildID ../SPECS/eclipse-tests.spec  | head -n 1 | cut -f 5)

# Get test source
./getTestSources.sh ${buildID}

# Get scripts
mkdir -p scripts
cd scripts
cvs -d:pserver:anonymous@dev.eclipse.org:/cvsroot/eclipse co -r v${buildID} org.eclipse.releng.eclipsebuilder/eclipse/buildConfigs/sdk.tests/testScripts
pushd org.eclipse.releng.eclipsebuilder/eclipse/buildConfigs/sdk.tests/testScripts
zip ../../../../../../eclipse-tests-3.5.0-fetched-scripts.zip runtests test.xml
popd
cd ..
rm -rf scripts

cd ..
mkdir -p SRPMS RPMS BUILD
rpmbuild --define "_topdir `pwd`" -ba SPECS/eclipse-tests.spec
